Search Results for

Show / Hide Table of Contents

# Interface IAdEventSource

Events shared by all non-native ads.

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface IAdEventSource

### Events

#### OnAdClicked

Fired when ad was clicked on.

##### Declaration

    event Action OnAdClicked

##### Event Type

Type | Description
--- | ---
Action |

#### OnAdClosed

Fired when ad was closed (from fullscreen mode).

##### Declaration

    event Action OnAdClosed

##### Event Type

Type | Description
--- | ---
Action |

#### OnAdFailed

Fired when ad failed to load.

##### Declaration

    event Action<AdError?> OnAdFailed

##### Event Type

Type | Description
--- | ---
Action<AdError?> |

#### OnAdLoaded

Fired when ad finished loading.

##### Declaration

    event Action<AdInfo?> OnAdLoaded

##### Event Type

Type | Description
--- | ---
Action<AdInfo?> |